#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	string s;
    cin >> s;
    int q;
    cin >> q;
    for(int i = 0; i <q; i++){
        int l, r, k = 1;
        cin >> l >> r;
        l--;
        r--;
        for(int j  = l; j < r; j++){
            if(s[j]>s[j+1]){
                k++;
            }
        }
        cout << k << endl;
    }
}
